Package org.gradle.api.initialization.dsl

## Interface VersionCatalogBuilder.PluginAliasBuilder

- Enclosing interface:
    VersionCatalogBuilder

      public static interface VersionCatalogBuilder.PluginAliasBuilder

  Allows configuring the version of a plugin
  Since:
    7.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `version​(java.lang.String version)` | Configures the required version for this alias
    `void` | `version​(Action<? super MutableVersionConstraint> versionSpec)` | Configures the version for this alias
    `void` | `versionRef​(java.lang.String versionRef)` | Configures this alias to use a version reference, created via the `VersionCatalogBuilder.version(String, Action)` method.

- - ### Method Detail

    - #### version

          void version​(Action<? super MutableVersionConstraint> versionSpec)

      Configures the version for this alias

    - #### version

          void version​(java.lang.String version)

      Configures the required version for this alias

    - #### versionRef

          void versionRef​(java.lang.String versionRef)

      Configures this alias to use a version reference, created via the `VersionCatalogBuilder.version(String, Action)` method.
      Parameters:
        `versionRef` - the version reference